<?php
/**
 * Config file, return as json_encode
 * http://www.aa-team.com
 * =======================
 *
 * @author		Andrei Dinca, AA-Team
 * @version		0.1 - in development mode
 */
 echo json_encode(
	array(
		'modules_manager' => array(
			'version' => '0.1',
			'menu' => array(
				'order' => 19,
				'title' => esc_html__('Modules manager', 'wordpress-flat-countdown'),
				'icon' => 'assets/16_modules.png'
			),
			'in_dashboard' => array(
				'icon' 	=> 'assets/32_modulesmanager.png',
				'url'	=> admin_url('admin.php?page=flatCountdown#!/modules_manager')
			),
			'help' => array(
				'type' => 'remote',
				'url' => 'http://docs.aa-team.com/products/responsive-coming-soon-landing-page-for-wordpress/'
			),
			'description' => esc_html__('In the modules manager module you can deactivate modules that you don’t want to use.', 'wordpress-flat-countdown'),
			'load_in' => array(
				'backend' => array(
					'admin-ajax.php'
				),
				'frontend' => false
			),
			'javascript' => array(
				'admin',
				'hashchange',
				'tipsy'
			),
			'css' => array(
				'admin',
				'tipsy'
			)
		)
	)
 );
