<?php
/**
 * Dummy module return as json_encode
 * http://www.aa-team.com
 * =======================
 *
 * @author		Andrei Dinca, AA-Team
 * @version		0.1 - in development mode
 */
global $flatCountdown;
 
echo json_encode(
	array(
		$tryed_module['db_alias'] => array(
			
			/* define the form_messages box */
			'module_box' => ( $flatCountdown->get_plugin_status() != 'valid_hash' ? array(
					'title' 	=> esc_html__('Unlock - Wordpress Recipe Manager', 'wordpress-flat-countdown'),
					'icon' 		=> '{plugin_folder_uri}assets/validation_icon.png',
					'size' 		=> 'grid_4', // grid_1|grid_2|grid_3|grid_4
					'header' 	=> true, // true|false
					'toggler' 	=> false, // true|false
					'buttons' 	=> false, // true|false
					'style' 	=> 'panel', // panel|panel-widget
					
					// create the box elements array
					'elements'	=> array(
						array(
							'type' 		=> 'message',
							'status' 	=> 'info',
							'html' 		=> esc_html__('You need to log into your CodeCanyon account and go to your “Downloads” page. Locate this plugin you purchased in your “Downloads” list and click on the “License Certificate” link next to the download link. After you have downloaded the certificate you can open it in a text editor such as Notepad and copy the Item Purchase Code. How to image: <a href="{plugin_folder_uri}assets/howto-cc.jpg" target="_blank">link</a>', 'wordpress-flat-countdown')
						)
						,'productKey' => array(
							'type' 		=> 'text',
							'std' 		=> '',
							'size' 		=> 'small',
							'title' 	=> esc_html__('Item Purchase Code', 'wordpress-flat-countdown'),
							'desc' 		=> esc_html__('Get it from CodeCanyon account and go to your “Downloads” page.', 'wordpress-flat-countdown')
						)
						
						,'yourEmail' => array(
							'type' 		=> 'text',
							'std' 		=> get_option('admin_email'),
							'size' 		=> 'small',
							'title' 	=> esc_html__('Your Email', 'wordpress-flat-countdown'),
							'desc' 		=> esc_html__('We will notify you via this email about this product update and bug fix.', 'wordpress-flat-countdown')
						)
						
						,'sendActions' => array(
							'type' 		=> 'buttons',
							'options'	=> array(
								array(
									'action' 	=> 'flatCountdown_activate_product',
									'width'		=> '100px',
									'type'		=> 'submit',
									'color'		=> 'green',
									'pos'		=> 'left',
									'value'		=> esc_html__('Activate now', 'wordpress-flat-countdown')
								)
							)
						)
					)
				) 
				: array(
					'title' 	=> esc_html__('Modules Manager', 'wordpress-flat-countdown'),
					'size' 		=> 'grid_4', // grid_1|grid_2|grid_3|grid_4
					'header' 	=> true, // true|false
					'toggler' 	=> false, // true|false
					'buttons' 	=> false, // true|false
					'style' 	=> 'panel', // panel|panel-widget
					
					// create the box elements array
					'elements'	=> array(
						array(
							'type' 		=> 'app',
							'path' 		=> '{plugin_folder_path}lists.php',
						)
					)
				)
			)
		)
	)
);
