<?php
/**
 * Dummy module return as json_encode
 * http://www.aa-team.name
 * =======================
 *
 * @author		Andrei Dinca, AA-Team
 * @version		0.1 - in development mode
 */
global $flatCountdown, $wpdb;
$subscribers_table = $wpdb->prefix . 'wp_flat_coundown';
$subscribers = $wpdb->get_results( 'SELECT * FROM ' . $subscribers_table );  
$subscribers_table = array();

$subscribers_table[] = '<div class="flatCountdown-form-row __tab6"><table class="flatCountdown-table">';
	$subscribers_table[] = '<thead>';
		$subscribers_table[] = '<tr>';
			$subscribers_table[] = '<td align="center"><strong>Subscriber ID</strong></td>';
			$subscribers_table[] = '<td align="center"><strong>Name</strong></td>';
			$subscribers_table[] = '<td align="center"><strong>E-mail</strong></td>';
			$subscribers_table[] = '<td align="center"><strong>Notifications</strong></td>';
		$subscribers_table[] = '</tr>';
	$subscribers_table[] = '</thead>';

foreach ( $subscribers as $subscriber ) {
	$subscribers_table[] = '<tr>';
		$subscribers_table[] = '<td align="center">' . $subscriber->subscribe_id . '</td>';
		$subscribers_table[] = '<td align="center">' . $subscriber->name . '</td>';
		$subscribers_table[] = '<td align="center">' . $subscriber->email . '</td>';
		$subscribers_table[] = '<td align="center">' . $subscriber->sendnotifications . '</td>';
	$subscribers_table[] = '</tr>';
}

$subscribers_table[] = '</table></div>';

$subscribers_table = implode("\n", $subscribers_table);

$meta_keywords = get_bloginfo('description');
$meta_keywords = explode(' ', $meta_keywords );
$meta_keywords = implode(',', $meta_keywords); 

function flatCountdown_sendTestEmail() {
	$tab_content = '<div class="flatCountdown-form-row __tab7">';
		$tab_content .= '<input type="button" value="Send Test E-mail" id="send-test-email-submit" style="width: 160px;" class="flatCountdown-button blue">';
	$tab_content .= '</div>'; 
	return $tab_content;
}

function flatCountdown_saveSubscribers() {
	$tab_content = '<div class="flatCountdown-form-row __tab6">';
		$tab_content .= '<input type="button" value="Export Subscribers as CSV" id="save-subscribers-as-csv" style="width: 160px;" class="flatCountdown-button blue">';
	$tab_content .= '</div>'; 
	return $tab_content;
}

function flatCountdown_emailDynamicTags() {
	$tab_content = '<div class="flatCountdown-form-row __tab7">
		<p>Some dynamic tags that can be included in your email template:</p>
		<ul>
		    <li><strong>%blog_url%</strong> : will be replaced with your blog URL.</li>
		    <li><strong>%home_url%</strong> : will be replaced with your home URL.</li>
		    <li><strong>%blog_name%</strong> : will be replaced with your blog name.</li>
		    <li><strong>%blog_description%</strong> : will be replaced with your blog description.</li>
		    <li><strong>%admin_email%</strong> : will be replaced with admin email.</li>
		    <li><strong>%date%</strong> : will be replaced with current date, as formatted in <a href="options-general.php">general options</a>.</li>
		    <li><strong>%time%</strong> : will be replaced with current time, as formatted in <a href="options-general.php">general options</a>.</li>
		    <li><strong>%user_name%</strong> : will be replaced with the value in the name field of the subscription form.</li>
		    <li><strong>%user_email%</strong> : will be replaced with the value in the email field of the subscription form.</li>
	    </ul>
    </div>
	';
	return $tab_content;
}

echo json_encode(
	array(
		$tryed_module['db_alias'] => array(
		
			/* define the form_sizes  box */
			'config' => array(
				'title' 	=> esc_html__('General Settings', 'wordpress-flat-countdown'),
				//'icon' 		=> '{theme_folder_uri}assets/menu_icon.png',
				'size' 		=> 'grid_4', // grid_1|grid_2|grid_3|grid_4
				'header' 	=> false, // true|false
				'toggler' 	=> false, // true|false
				'buttons' 	=> true, // true|false
				'style' 	=> 'panel', // panel|panel-widget
				
				// tabs
				'tabs'	=> array(
					'__tab1'	=> array(esc_html__('Countdown SETUP', 'wordpress-flat-countdown'), 'development_mode, development_ip,countdown_format,countdown_language,general_counter_value,general_counter_speed,general_counter_direction,countdown_day,countdown_month,countdown_year,countdown_hour,countdown_minute,countdown_second'),
					'__tab2'	=> array(esc_html__('Countdown Styling', 'wordpress-flat-countdown'), 'enable_style_customizer,countdown_general_style,countdown_general_font_size,countdown_element_font_family,countdown_general_first_font_family,countdown_general_second_font_family,countdown_element_font_size,countdown_element_line_height,countdown_element_border_radius,countdown_box_style,countdown_box_opacity,countdown_background_image,countdown_background_type,countdown_days_colors,countdown_background_color,countdown_text_color,countdown_text_color_first,countdown_text_color_second,countdown_text_color_general,social_text_color,countdown_background_fit'),
					'__tab3'	=> array(esc_html__('Countdown Content', 'wordpress-flat-countdown'), 'countdown_title,countdown_subtitle,countdown_description,countdown_logo'),
					'__tab4'	=> array(esc_html__('Subscribe Popup SETUP', 'wordpress-flat-countdown'), 'enable_popup,popup_color_overlay, popup_open_effect,popup_overlay_opacity,popup_removal_delay'),
					'__tab5'	=> array(esc_html__('Social Media', 'wordpress-flat-countdown'), 'enable_social_media,social_media_icon_set,facebook_url,twitter_url,behance_url,dribble_url,linkedin_url'),
					'__tab6'	=> array(esc_html__('Subscribers', 'wordpress-flat-countdown'), 'subscribers_table,save_subscribers_csv'),
					'__tab7'	=> array(esc_html__('Notifications', 'wordpress-flat-countdown'), 'notification_emails,email_dynamic_tags,user_notification_email_body,user_email_from,admin_notification_email_body,send_test_email,user_notification_subject,admin_notification_subject'),
					'__tab8'	=> array(esc_html__('Translations', 'wordpress-flat-countdown'), 't_days,t_hours,t_minutes,t_seconds,t_subscribe_to_newsletter,t_find_us,t_name,t_email,t_security_code,t_send_notification,t_get_notification'),
					'__tab9'	=> array(esc_html__('CAPTCHA Settings', 'wordpress-flat-countdown'), 'captcha_min_length,captcha_max_length,captcha_background,captcha_characters,captcha_min_font_size,captcha_max_font_size,captcha_font_color,captcha_angle_min,captcha_angle_max,captcha_shadow,captcha_shadow_color,captcha_shadow_offset_x,captcha_shadow_offset_y'),
					'__tab10'	=> array(esc_html__('SEO Settings', 'wordpress-flat-countdown'), 'meta_title,meta_description,meta_keywords'),
				),
				
				// create the box elements array
				'elements'	=> array(
					// tab1
					'development_mode' => array(
						'type' 		=> 'select',
						'std' 		=> 'no',
						'size' 		=> 'large',
						'force_width'=> '120',
						'title'		=> esc_html__('Enable Development Mode', 'wordpress-flat-countdown'),
						'desc'		=> esc_html__('Development mode will display the countdown only for specified IP address. Default is NO.', 'wordpress-flat-countdown'),
						'options'	=> array(
							'yes' => 'YES',
							'no' => 'NO',
						)
					),
					'development_ip' => array(
						'type' 		=> 'text',
						'std' 		=> $_SERVER['REMOTE_ADDR'],
						'size' 		=> 'large',
						'force_width'=> '200',
						'title'		=> esc_html__('Development IP', 'wordpress-flat-countdown'),
						'desc'		=> sprintf( esc_html__('Paste in this field the development IP address. Your current IP address is %s', 'wordpress-flat-countdown'),  $_SERVER['REMOTE_ADDR'] ),
					),
					
					'countdown_background_type' => array(
						'type' 		=> 'select',
						'std' 		=> 'image',
						'size' 		=> 'large',
						'force_width'=> '120',
						'title'		=> esc_html__('Select Countdown Page Background Type', 'wordpress-flat-countdown'),
						'desc'		=> esc_html__('Select Countdown Page Background Type. Default is image.', 'wordpress-flat-countdown'),
						'options'	=> array(
							'image' => 'Image',
							'color' => 'color',
						)
					),
					
					'countdown_background_color' => array(
						'type' 		=> 'color_picker',
						'std' 		=> '#E74C3C',
						'size' 		=> 'large',
						'title'		=> esc_html__('Countdown Page Background Color', 'wordpress-flat-countdown'),
						'desc'		=> esc_html__('Countdown Page Background Color. The default color is: #E74C3C', 'wordpress-flat-countdown')
					),
					
	
					'countdown_logo' => array(
						'type' 			=> 'upload_image',
						'size' 			=> 'large',
						'force_width'	=> '80',
						'preview_size'	=> 'thumbnail',
						'value' 		=> esc_html__('Upload Image', 'wordpress-flat-countdown'),
						'title' 		=> esc_html__('Countdown Logo', 'wordpress-flat-countdown'),
						'desc' 			=> esc_html__('Upload your Countdown Logo using the native media uploader', 'wordpress-flat-countdown'),
					),
					
					'countdown_background_image' => array(
						'type' 			=> 'upload_image',
						'size' 			=> 'large',
						'force_width'	=> '80',
						'preview_size'	=> 'thumbnail',
						'value' 		=> esc_html__('Upload Image', 'wordpress-flat-countdown'),
						'title' 		=> esc_html__('Countdown Page Background Image', 'wordpress-flat-countdown'),
						'desc' 			=> esc_html__('Upload your Countdown Page Background Image using the native media uploader', 'wordpress-flat-countdown'),
					),
					
					'countdown_background_fit' => array(
						'type' 		=> 'select',
						'std' 		=> 'cover',
						'force_width'	=> '160',
						'size' 		=> 'large',
						'title'		=> esc_html__('How to fit Countdown Page background image', 'wordpress-flat-countdown'),
						'desc'		=> esc_html__('Pick one from the list', 'wordpress-flat-countdown'),
						'options'	=> array(
							'cover'     => esc_html__('Cover' , 'wordpress-flat-countdown'),
							'contain'   => esc_html__('Contain' , 'wordpress-flat-countdown'),
							'fitV'      => esc_html__('Fit Vertically' , 'wordpress-flat-countdown'),
							'fitH'      => esc_html__('Fit Horizontally' , 'wordpress-flat-countdown'),
							'center'    => esc_html__('Just center' , 'wordpress-flat-countdown'),
							'repeat'    => esc_html__('Repeat' , 'wordpress-flat-countdown'),
						)
					),
					
					'countdown_general_style' => array(
						'type' 		=> 'color_picker',
						'std' 		=> '#e74c3c',
						'size' 		=> 'large',
						'title'		=> esc_html__('Countdown General Style Color', 'wordpress-flat-countdown'),
						'desc'		=> esc_html__('Countdown General Style Color. The default color is: #e74c3c', 'wordpress-flat-countdown')
					),
					'countdown_general_font_size' => array(
						'type' 		=> 'text',
						'std' 		=> '14px',
						'size' 		=> 'large',
						'title'		=> esc_html__('Countdown General Font Size', 'wordpress-flat-countdown'),
						'desc'		=> esc_html__('Countdown General Font Size. The default is: 14px', 'wordpress-flat-countdown')
					),
					
					'countdown_text_color' => array(
						'type' 		=> 'color_picker',
						'std' 		=> '#FFFFFF',
						'size' 		=> 'large',
						'title'		=> esc_html__('Countdown General Font Color', 'wordpress-flat-countdown'),
						'desc'		=> esc_html__('Text Color. The default color is: #FFFFFF', 'wordpress-flat-countdown')
					),
					
					'countdown_days_colors' => array(
						'type' 		=> 'color_picker',
						'std' 		=> '#FFFFFF',
						'size' 		=> 'large',
						'title'		=> esc_html__('Countdown Days / Hours / Seconds Color', 'wordpress-flat-countdown'),
						'desc'		=> esc_html__('Text Color. The default color is: #FFFFFF', 'wordpress-flat-countdown')
					),

					'social_text_color' => array(
						'type' 		=> 'color_picker',
						'std' 		=> '#FFFFFF',
						'size' 		=> 'large',
						'title'		=> esc_html__('Social Font Color', 'wordpress-flat-countdown'),
						'desc'		=> esc_html__('Text Color. The default color is: #FFFFFF', 'wordpress-flat-countdown')
					),

					
					'countdown_general_first_font_family' => array(
						'type' 		=> 'google-font-select',
						'std' 		=> 'Cabin',
						'size' 		=> 'large',
						'title'		=> esc_html__('Countdown General First Font Family', 'wordpress-flat-countdown'),
						'desc'		=> esc_html__('Countdown General First Family. The default is: Cabin', 'wordpress-flat-countdown')
					),
					
					'countdown_text_color_first' => array(
						'type' 		=> 'color_picker',
						'std' 		=> '#FFFFFF',
						'size' 		=> 'large',
						'title'		=> esc_html__('Countdown General First Font', 'wordpress-flat-countdown'),
						'desc'		=> esc_html__('Text Color. The default color is: #FFFFFF', 'wordpress-flat-countdown')
					),
					
					'countdown_general_second_font_family' => array(
						'type' 		=> 'google-font-select',
						'std' 		=> 'Open Sans',
						'size' 		=> 'large',
						'title'		=> esc_html__('Countdown General Second Font Family', 'wordpress-flat-countdown'),
						'desc'		=> esc_html__('Countdown General Second Family. The default is: Open Sans', 'wordpress-flat-countdown')
					),
					
					'countdown_text_color_second' => array(
						'type' 		=> 'color_picker',
						'std' 		=> '#FFFFFF',
						'size' 		=> 'large',
						'title'		=> esc_html__('Countdown General Second Font', 'wordpress-flat-countdown'),
						'desc'		=> esc_html__('Text Color. The default color is: #FFFFFF', 'wordpress-flat-countdown')
					),
					
					'countdown_element_font_family' => array(
						'type' 		=> 'google-font-select',
						'std' 		=> 'Open Sans',
						'size' 		=> 'large',
						'title'		=> esc_html__('Countdown Element Font Family', 'wordpress-flat-countdown'),
						'desc'		=> esc_html__('Countdown Element Font Family. The default is: Open Sans', 'wordpress-flat-countdown')
					),
					
					'countdown_text_color_general' => array(
						'type' 		=> 'color_picker',
						'std' 		=> '#FFFFFF',
						'size' 		=> 'large',
						'title'		=> esc_html__('Countdown General Font Color', 'wordpress-flat-countdown'),
						'desc'		=> esc_html__('Text Color. The default color is: #FFFFFF', 'wordpress-flat-countdown')
					),
					
					'countdown_element_font_size' => array(
						'type' 		=> 'text',
						'std' 		=> '82px',
						'size' 		=> 'large',
						'title'		=> esc_html__('Countdown Element Font Size', 'wordpress-flat-countdown'),
						'desc'		=> esc_html__('Countdown Element Font Size. The default is: 82px', 'wordpress-flat-countdown')
					),
					'countdown_element_line_height' => array(
						'type' 		=> 'text',
						'std' 		=> '142px',
						'size' 		=> 'large',
						'title'		=> esc_html__('Countdown Element Line Height', 'wordpress-flat-countdown'),
						'desc'		=> esc_html__('Countdown Element Line Height. The default is: 142px', 'wordpress-flat-countdown')
					),
					'countdown_element_border_radius' => array(
						'type' 		=> 'text',
						'std' 		=> '6px',
						'size' 		=> 'large',
						'title'		=> esc_html__('Countdown Element Border Radius', 'wordpress-flat-countdown'),
						'desc'		=> esc_html__('Countdown Element Border Radius. The default is: 6px', 'wordpress-flat-countdown')
					),
					'countdown_box_style' => array(
						'type' 		=> 'color_picker',
						'std' 		=> '#1b1b1b',
						'size' 		=> 'large',
						'title'		=> esc_html__('Countdown Box Style Color', 'wordpress-flat-countdown'),
						'desc'		=> esc_html__('Countdown Box Style Color. The default color is: #1b1b1b', 'wordpress-flat-countdown')
					),
					
					'countdown_box_opacity' => array(
						'type' 		=> 'text',
						'std' 		=> '0.9',
						'size' 		=> 'large',
						'title'		=> esc_html__('Countdown Box Opacity', 'wordpress-flat-countdown'),
						'desc'		=> esc_html__('Countdown Box Opacity. The default color is: 0.9', 'wordpress-flat-countdown')
					),
					'countdown_format' => array(
						'type' 		=> 'select',
						'std' 		=> 'daily_countdown',
						'size' 		=> 'large',
						'force_width'=> '180',
						'title'		=> esc_html__('Countdown Format', 'wordpress-flat-countdown'),
						'desc'		=> esc_html__('Choose the countdown format. Default is Daily Countdown', 'wordpress-flat-countdown'),
						'options'	=> array(
							'daily_countdown' => 'Daily Countdown',
							'12hr_clock' => '12hr Clock',
							'24hr_clock' => '24hr Clock',
							'general_counter' => 'General Counter',
						)
					),
					'countdown_language' => array(
						'type' 		=> 'select',
						'std' 		=> 'en',
						'size' 		=> 'large',
						'force_width'=> '180',
						'title'		=> esc_html__('Countdown Language', 'wordpress-flat-countdown'),
						'desc'		=> esc_html__('Choose the countdown language. Default is English', 'wordpress-flat-countdown'),
						'options'	=> array(
							'en' => 'English',
							'ar' => 'Arabic',
							'da' => 'Danish',
							'de' => 'German',
							'es' => 'Spanish',
							'fi' => 'Finnish',
							'fr' => 'French',
							'lv' => 'Latvian',
							'nl' => 'Dutch',
							'no' => 'Norwegian',
							'pt' => 'Portuguese',
							'ru' => 'Russian',
							'sv' => 'Swedish',
							'zh' => 'Chinese',
							'other' => 'Other - edit in Translation tab',
						)
					),
					
					'general_counter_start_value' => array(
						'type' 		=> 'text',
						'std' 		=> '10',
						'size' 		=> 'large',
						'force_width'=> '200',
						'title'		=> esc_html__('General Counter Start Value', 'wordpress-flat-countdown'),
						'desc'		=> esc_html__('General Counter Start value - available only for Countdown Format: General Counter!', 'wordpress-flat-countdown')
					),
					'general_counter_stop_value' => array(
						'type' 		=> 'text',
						'std' 		=> '20',
						'size' 		=> 'large',
						'force_width'=> '200',
						'title'		=> esc_html__('General Counter Stop Value', 'wordpress-flat-countdown'),
						'desc'		=> esc_html__('General Counter Stop value - available only for Countdown Format: General Counter!', 'wordpress-flat-countdown')
					),
					'general_counter_speed' => array(
						'type' 		=> 'text',
						'std' 		=> '1000',
						'size' 		=> 'large',
						'force_width'=> '200',
						'title'		=> esc_html__('General Counter Speed', 'wordpress-flat-countdown'),
						'desc'		=> esc_html__('General Counter Speed - available only for Countdown Format: General Counter!', 'wordpress-flat-countdown')
					),
					'general_counter_direction' => array(
						'type' 		=> 'select',
						'std' 		=> 'increment',
						'size' 		=> 'large',
						'force_width'=> '180',
						'title'		=> esc_html__('General Counter Direction', 'wordpress-flat-countdown'),
						'desc'		=> esc_html__('General Counter Direction. Default is increment. Available only for Countdown Format: General Counter!', 'wordpress-flat-countdown'),
						'options'	=> array(
							'increment' => 'Increment',
							'decrement' => 'Decrement'
						)
					),
					
					'countdown_year' => array(
						'type' 		=> 'text',
						'std' 		=> '2019',
						'size' 		=> 'large',
						'force_width'=> '200',
						'title'		=> esc_html__('Year', 'wordpress-flat-countdown'),
						'desc'		=> esc_html__('Format: 2019', 'wordpress-flat-countdown')
					),
					'countdown_month' => array(
						'type' 		=> 'text',
						'std' 		=> '6',
						'size' 		=> 'large',
						'force_width'=> '200',
						'title'		=> esc_html__('Month', 'wordpress-flat-countdown'),
						'desc'		=> esc_html__('Format: 0 - 12', 'wordpress-flat-countdown')
					),
					'countdown_day' => array(
						'type' 		=> 'text',
						'std' 		=> '31',
						'size' 		=> 'large',
						'force_width'=> '200',
						'title'		=> esc_html__('Day', 'wordpress-flat-countdown'),
						'desc'		=> esc_html__('Format: 0 - 31', 'wordpress-flat-countdown')
					),
					'countdown_hour' => array(
						'type' 		=> 'text',
						'std' 		=> '22',
						'size' 		=> 'large',
						'force_width'=> '200',
						'title'		=> esc_html__('Hour', 'wordpress-flat-countdown'),
						'desc'		=> esc_html__('Format: 0 - 24', 'wordpress-flat-countdown')
					),
					'countdown_minute' => array(
						'type' 		=> 'text',
						'std' 		=> '50',
						'size' 		=> 'large',
						'force_width'=> '200',
						'title'		=> esc_html__('Minute', 'wordpress-flat-countdown'),
						'desc'		=> esc_html__('Format: 0 - 59', 'wordpress-flat-countdown')
					),
					'countdown_second' => array(
						'type' 		=> 'text',
						'std' 		=> '0',
						'size' 		=> 'large',
						'force_width'=> '200',
						'title'		=> esc_html__('Second', 'wordpress-flat-countdown'),
						'desc'		=> esc_html__('Format: 0 - 59', 'wordpress-flat-countdown')
					),
					
					'countdown_title' => array(
						'type' 		=> 'text',
						'std' 		=> '<span>WEBSITE</span> UNDER CONSTRUCTION',
						'size' 		=> 'large',
						'title'		=> esc_html__('Countdown Title', 'wordpress-flat-countdown'),
						'desc'		=> esc_html__('Countdown Title', 'wordpress-flat-countdown')
					),
					'countdown_subtitle' => array(
						'type' 		=> 'text',
						'std' 		=> 'WEB DESIGN IN PROGRESS. WE WILL BE BACK IN A JIFFY',
						'size' 		=> 'large',
						'title'		=> esc_html__('Countdown Subtitle', 'wordpress-flat-countdown'),
						'desc'		=> esc_html__('Countdown Subtitle', 'wordpress-flat-countdown')
					),
					'countdown_description' => array(
						'type' 		=> 'ckeditor',
						'size' 		=> 'large',
						'title' 	=> esc_html__('Countdown Description:', 'wordpress-flat-countdown'),
						'std'		=> '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>',
						'desc' 		=> esc_html__('Custom text for countdown description.', 'wordpress-flat-countdown'),
					),
					
					// tab 2
					'enable_popup' => array(
						'type' 		=> 'select',
						'std' 		=> 'yes',
						'size' 		=> 'large',
						'force_width'=> '120',
						'title'		=> esc_html__('Enable Newsletter Popup', 'wordpress-flat-countdown'),
						'desc'		=> esc_html__('Enable Newsletter Subscription popup. Default is YES.', 'wordpress-flat-countdown'),
						'options'	=> array(
							'yes' => 'YES',
							'no' => 'NO',
						)
					),
					
					'popup_color_overlay' => array(
						'type' 		=> 'color_picker',
						'std' 		=> '#000',
						'size' 		=> 'large',
						'title'		=> esc_html__('Popup Color Overlay', 'wordpress-flat-countdown'),
						'desc'		=> esc_html__('Popup Color Overlay. Choose from the color picker. The default color is: #000', 'wordpress-flat-countdown')
					),
					
					'popup_open_effect' => array(
						'type' 		=> 'select',
						'std' 		=> 'fade',
						'size' 		=> 'large',
						'force_width'=> '120',
						'title'		=> esc_html__('Popup Effect', 'wordpress-flat-countdown'),
						'desc'		=> esc_html__('Popup Effect. Default is Fade.', 'wordpress-flat-countdown'),
						'options'	=> array(
							'fade' => 'Fade',
							'zoom' => 'Zoom',
							'newspaper' => 'Newspaper',
							'horizontal_move' => 'Horizontal move',
							'move_from_top' => 'Move from top',
							'3d_unfold' => '3D Unfold',
							'zoom_out' => 'Zoom Out',
						)
					),
					
					'popup_overlay_opacity' => array(
						'type' 		=> 'text',
						'std' 		=> '0.6',
						'size' 		=> 'large',
						'title'		=> esc_html__('Popup Overlay Opacity', 'wordpress-flat-countdown'),
						'desc'		=> esc_html__('Format: 0.0 - 1 Default: 0.6', 'wordpress-flat-countdown')
					),
					
					'popup_removal_delay' => array(
						'type' 		=> 'text',
						'std' 		=> '500',
						'size' 		=> 'large',
						'title'		=> esc_html__('Popup Removal Delay', 'wordpress-flat-countdown'),
						'desc'		=> esc_html__('Default: 500', 'wordpress-flat-countdown')
					),
					
					// tab3
					'enable_social_media' => array(
						'type' 		=> 'select',
						'std' 		=> 'yes',
						'size' 		=> 'large',
						'force_width'=> '120',
						'title'		=> esc_html__('Enable Social Media', 'wordpress-flat-countdown'),
						'desc'		=> esc_html__('Enable Social Media. Default is YES.', 'wordpress-flat-countdown'),
						'options'	=> array(
							'yes' => 'YES',
							'no' => 'NO',
						)
					),
					
					'social_media_icon_set' => array(
						'type' 		=> 'select',
						'std' 		=> 'theme_1',
						'size' 		=> 'large',
						'force_width'=> '120',
						'title'		=> esc_html__('Social Media Icon Set', 'wordpress-flat-countdown'),
						'desc'		=> esc_html__('Enable Social Media. Default is Theme 1.', 'wordpress-flat-countdown'),
						'options'	=> array(
							'theme_1' => 'Theme 1',
							'theme_2' => 'Theme 2',
						)
					),
					
					'facebook_url' => array(
						'type' 		=> 'text',
						'std' 		=> '#',
						'size' 		=> 'large',
						'title'		=> esc_html__('Facebook page URL', 'wordpress-flat-countdown'),
						'desc'		=> esc_html__('Official Facebook page URL', 'wordpress-flat-countdown')
					),
					'twitter_url' => array(
						'type' 		=> 'text',
						'std' 		=> '#',
						'size' 		=> 'large',
						'title'		=> esc_html__('Twitter page URL', 'wordpress-flat-countdown'),
						'desc'		=> esc_html__('Official Twitter page URL', 'wordpress-flat-countdown')
					),
					'dribble_url' => array(
						'type' 		=> 'text',
						'std' 		=> '#',
						'size' 		=> 'large',
						'title'		=> esc_html__('Dribble page URL', 'wordpress-flat-countdown'),
						'desc'		=> esc_html__('Official Dribble page URL', 'wordpress-flat-countdown')
					),
					'behance_url' => array(
						'type' 		=> 'text',
						'std' 		=> '#',
						'size' 		=> 'large',
						'title'		=> esc_html__('Behance page URL', 'wordpress-flat-countdown'),
						'desc'		=> esc_html__('Official Behance page URL', 'wordpress-flat-countdown')
					),
					
					'linkedin_url' => array(
						'type' 		=> 'text',
						'std' 		=> '#',
						'size' 		=> 'large',
						'title'		=> esc_html__('LinkedIn page URL', 'wordpress-flat-countdown'),
						'desc'		=> esc_html__('Official LinkedIn page URL', 'wordpress-flat-countdown')
					),
					
					'subscribers_table' => array(
						'type' 		=> 'html',
						'html' 		=> $subscribers_table,
					),
					'save_subscribers_csv' => array(
						'type' 		=> 'html',
						'html' 		=> flatCountdown_saveSubscribers(),
					),
					
					// tab 7
					'notification_emails' => array(
						'type' 		=> 'text',
						'std' 		=>	get_option( 'admin_email' ) ,
						'size' 		=> 'large',
						'force_width'=> '400',
						'title'		=> esc_html__('Notification E-mail addresses', 'wordpress-flat-countdown'),
						'desc'		=> esc_html__('Add e-mail addresses sepparated by comma' , 'wordpress-flat-countdown')
					),
					'email_dynamic_tags' => array(
						'type' 		=> 'html',
						'html' 		=> flatCountdown_emailDynamicTags(),
					),
					'user_email_from' => array(
						'type' 		=> 'text',
						'std' 		=>	'%blog_name%',
						'size' 		=> 'large',
						'title'		=> esc_html__('User E-mail From', 'wordpress-flat-countdown'),
						'desc'		=> esc_html__('Add User E-mail From' , 'wordpress-flat-countdown')
					),
					'user_notification_subject' => array(
						'type' 		=> 'text',
						'std' 		=>	'You have subscribed successfuly at %blog_name%!',
						'size' 		=> 'large',
						'title'		=> esc_html__('User E-mail Subject', 'wordpress-flat-countdown'),
						'desc'		=> esc_html__('Add User E-mail Subject' , 'wordpress-flat-countdown')
					),
					'user_notification_email_body' => array(
						'type' 		=> 'ckeditor',
						'size' 		=> 'large',
						'title' 	=> esc_html__('User Notification Email Body:', 'wordpress-flat-countdown'),
						'std'		=> '<p>Hello %user_name%,</p><p>Thank you for subscribing at %blog_name%!</p>',
						'desc' 		=> esc_html__('User Notification e-mail body.', 'wordpress-flat-countdown'),
					),
					'admin_notification_subject' => array(
						'type' 		=> 'text',
						'std' 		=>	'New user subscribed at %blog_name%',
						'size' 		=> 'large',
						'title'		=> esc_html__('Admin E-mail Subject', 'wordpress-flat-countdown'),
						'desc'		=> esc_html__('Add Admin E-mail Subject' , 'wordpress-flat-countdown')
					),
					'admin_notification_email_body' => array(
						'type' 		=> 'ckeditor',
						'size' 		=> 'large',
						'title' 	=> esc_html__('Admin Notification Email Body:', 'wordpress-flat-countdown'),
						'std'		=> '<p>A new user subscribed at %blog_name%. The user details are:</p><p>Name: %user_name%</p><p>Email: %user_email%</p>',
						'desc' 		=> esc_html__('Admin Notification e-mail body.', 'wordpress-flat-countdown'),
					),
					'send_test_email' => array(
						'type' 		=> 'html',
						'html' 		=> flatCountdown_sendTestEmail(),
					),
					
					// tab 8
					't_days' => array(
						'type' 		=> 'text',
						'std' 		=>	'Days',
						'size' 		=> 'large',
						'force_width'=> '400',
						'title'		=> esc_html__('Days', 'wordpress-flat-countdown'),
						'desc'		=> esc_html__('Days Counter Element Translation' , 'wordpress-flat-countdown')
					),
					't_hours' => array(
						'type' 		=> 'text',
						'std' 		=>	'Hours',
						'size' 		=> 'large',
						'force_width'=> '400',
						'title'		=> esc_html__('Hours', 'wordpress-flat-countdown'),
						'desc'		=> esc_html__('Hours Counter Element Translation' , 'wordpress-flat-countdown')
					),
					't_minutes' => array(
						'type' 		=> 'text',
						'std' 		=>	'Minutes',
						'size' 		=> 'large',
						'force_width'=> '400',
						'title'		=> esc_html__('Minutes', 'wordpress-flat-countdown'),
						'desc'		=> esc_html__('Minutes Counter Element Translation' , 'wordpress-flat-countdown')
					),
					't_seconds' => array(
						'type' 		=> 'text',
						'std' 		=>	'Seconds',
						'size' 		=> 'large',
						'force_width'=> '400',
						'title'		=> esc_html__('Seconds', 'wordpress-flat-countdown'),
						'desc'		=> esc_html__('Seconds Counter Element Translation' , 'wordpress-flat-countdown')
					),
					't_subscribe_to_newsletter' => array(
						'type' 		=> 'text',
						'std' 		=>	'Subscribe to our newsletter',
						'size' 		=> 'large',
						'force_width'=> '400',
						'title'		=> esc_html__('Subscribe to our newsletter', 'wordpress-flat-countdown'),
						'desc'		=> esc_html__('Subscribe to our newsletter Translation' , 'wordpress-flat-countdown')
					),
					
					't_name' => array(
						'type' 		=> 'text',
						'std' 		=>	'Name',
						'size' 		=> 'large',
						'force_width'=> '400',
						'title'		=> esc_html__('Name', 'wordpress-flat-countdown'),
						'desc'		=> esc_html__('Name Translation' , 'wordpress-flat-countdown')
					),
					
					't_email' => array(
						'type' 		=> 'text',
						'std' 		=>	'E-mail',
						'size' 		=> 'large',
						'force_width'=> '400',
						'title'		=> esc_html__('E-mail', 'wordpress-flat-countdown'),
						'desc'		=> esc_html__('E-mail Translation' , 'wordpress-flat-countdown')
					),
					
					't_security_code' => array(
						'type' 		=> 'text',
						'std' 		=>	'Security Code',
						'size' 		=> 'large',
						'force_width'=> '400',
						'title'		=> esc_html__('Security Code', 'wordpress-flat-countdown'),
						'desc'		=> esc_html__('Security Code Translation' , 'wordpress-flat-countdown')
					),
					
					't_send_notification' => array(
						'type' 		=> 'text',
						'std' 		=>	'Send Notification',
						'size' 		=> 'large',
						'force_width'=> '400',
						'title'		=> esc_html__('Send Notification', 'wordpress-flat-countdown'),
						'desc'		=> esc_html__('Send Notification Translation' , 'wordpress-flat-countdown')
					),
					
					't_get_notification' => array(
						'type' 		=> 'text',
						'std' 		=>	'Get Notification',
						'size' 		=> 'large',
						'force_width'=> '400',
						'title'		=> esc_html__('Get Notification', 'wordpress-flat-countdown'),
						'desc'		=> esc_html__('Get Notification Translation' , 'wordpress-flat-countdown')
					),
					
					// tab 9
					'captcha_min_length' => array(
						'type' 		=> 'text',
						'std' 		=>	'5',
						'size' 		=> 'large',
						'force_width'=> '400',
						'title'		=> esc_html__('Minimum Length', 'wordpress-flat-countdown'),
						'desc'		=> esc_html__('Minimum Length of the Captcha String' , 'wordpress-flat-countdown')
					),
					'captcha_max_length' => array(
						'type' 		=> 'text',
						'std' 		=>	'5',
						'size' 		=> 'large',
						'force_width'=> '400',
						'title'		=> esc_html__('Maximum Length', 'wordpress-flat-countdown'),
						'desc'		=> esc_html__('Maximum Length of the Captcha String' , 'wordpress-flat-countdown')
					),
					'captcha_background' => array(
						'type' 		=> 'select',
						'std' 		=> '45-degree-fabric',
						'size' 		=> 'large',
						'force_width'=> '200',
						'title'		=> esc_html__('Captcha Background Texture', 'wordpress-flat-countdown'),
						'desc'		=> esc_html__('Captcha Background Texture. Default is 45 Degree Fabric.', 'wordpress-flat-countdown'),
						'options'	=> array(
							'45-degree-fabric' => '45 Degree Fabric',
							'cloth-alike' => 'Cloth Alike',
							'grey-sandbag' => 'Grey Sandbag',
							'kinda-jean' => 'Kinda Jean',
							'polyester-lite' => 'Polyester Lite',
							'stitched-wool' => 'Stitched Wool',
							'white-carbon' => 'White Carbon',
						)
					),
					'captcha_characters' => array(
						'type' 		=> 'text',
						'std' 		=>	'ABCDEFGHJKLMNPRSTUVWXYZabcdefghjkmnprstuvwxyz23456789',
						'size' 		=> 'large',
						'force_width'=> '600',
						'title'		=> esc_html__('Captcha Included Characters', 'wordpress-flat-countdown'),
						'desc'		=> esc_html__('Captcha Included Characters. Default are: ABCDEFGHJKLMNPRSTUVWXYZabcdefghjkmnprstuvwxyz23456789' , 'wordpress-flat-countdown')
					),
					'captcha_min_font_size' => array(
						'type' 		=> 'text',
						'std' 		=>	'28',
						'size' 		=> 'large',
						'force_width'=> '400',
						'title'		=> esc_html__('Captcha Minimum Font Size', 'wordpress-flat-countdown'),
						'desc'		=> esc_html__('Captcha Minimum Font Size. Default is 28.' , 'wordpress-flat-countdown')
					),
					'captcha_max_font_size' => array(
						'type' 		=> 'text',
						'std' 		=>	'28',
						'size' 		=> 'large',
						'force_width'=> '400',
						'title'		=> esc_html__('Captcha Maximum Font Size', 'wordpress-flat-countdown'),
						'desc'		=> esc_html__('Captcha Maximum Font Size. Default is 28.' , 'wordpress-flat-countdown')
					),
					'captcha_font_color' => array(
						'type' 		=> 'color_picker',
						'std' 		=>	'#777',
						'size' 		=> 'large',
						'force_width'=> '400',
						'title'		=> esc_html__('Captcha Font Color', 'wordpress-flat-countdown'),
						'desc'		=> esc_html__('Captcha Font Color. Default is #777.' , 'wordpress-flat-countdown')
					),
					'captcha_angle_min' => array(
						'type' 		=> 'text',
						'std' 		=>	'0',
						'size' 		=> 'large',
						'force_width'=> '400',
						'title'		=> esc_html__('Captcha Minimum Angle', 'wordpress-flat-countdown'),
						'desc'		=> esc_html__('Captcha Minimum Angle. Default is 0.' , 'wordpress-flat-countdown')
					),
					'captcha_angle_max' => array(
						'type' 		=> 'text',
						'std' 		=>	'10',
						'size' 		=> 'large',
						'force_width'=> '400',
						'title'		=> esc_html__('Captcha Maximum Angle', 'wordpress-flat-countdown'),
						'desc'		=> esc_html__('Captcha Maximum Angle. Default is 10.' , 'wordpress-flat-countdown')
					),
					'captcha_shadow' => array(
						'type' 		=> 'select',
						'std' 		=> 'yes',
						'size' 		=> 'large',
						'force_width'=> '120',
						'title'		=> esc_html__('Captcha Shadow', 'wordpress-flat-countdown'),
						'desc'		=> esc_html__('Captcha Shadow. Default is TRUE.', 'wordpress-flat-countdown'),
						'options'	=> array(
							'true' => 'TRUE',
							'false' => 'FALSE',
						)
					),
					'captcha_shadow_color' => array(
						'type' 		=> 'color_picker',
						'std' 		=>	'#FFF',
						'size' 		=> 'large',
						'force_width'=> '400',
						'title'		=> esc_html__('Captcha Shadow Color', 'wordpress-flat-countdown'),
						'desc'		=> esc_html__('Captcha Shadow Color. Default is #FFF.' , 'wordpress-flat-countdown')
					),
					'captcha_shadow_offset_x' => array(
						'type' 		=> 'text',
						'std' 		=>	'-1',
						'size' 		=> 'large',
						'force_width'=> '400',
						'title'		=> esc_html__('Captcha Shadow Offset X axis', 'wordpress-flat-countdown'),
						'desc'		=> esc_html__('Captcha Shadow Offset X axis. Default is -1.' , 'wordpress-flat-countdown')
					),
					'captcha_shadow_offset_y' => array(
						'type' 		=> 'text',
						'std' 		=>	'1',
						'size' 		=> 'large',
						'force_width'=> '400',
						'title'		=> esc_html__('Captcha Shadow Offset Y axis', 'wordpress-flat-countdown'),
						'desc'		=> esc_html__('Captcha Shadow Offset Y axis. Default is 1.' , 'wordpress-flat-countdown')
					),
					
					// tab 10
					'meta_title' => array(
						'type' 		=> 'text',
						'std' 		=> get_bloginfo( 'name' ),
						'size' 		=> 'large',
						'title'		=> esc_html__('Page Meta Title', 'wordpress-flat-countdown'),
						'desc'		=> esc_html__('Page Meta Title', 'wordpress-flat-countdown')
					),
					'meta_description' => array(
						'type' 		=> 'text',
						'std' 		=> get_bloginfo( 'description' ),
						'size' 		=> 'large',
						'title'		=> esc_html__('Page Meta Description', 'wordpress-flat-countdown'),
						'desc'		=> esc_html__('Page Meta Description', 'wordpress-flat-countdown')
					),
					'meta_keywords' => array(
						'type' 		=> 'textarea',
						'std' 		=> $meta_keywords,
						'size' 		=> 'large',
						'title'		=> esc_html__('Page Meta Keywords', 'wordpress-flat-countdown'),
						'desc'		=> esc_html__('Page Meta Keywords', 'wordpress-flat-countdown')
					),
					
					
				)
			)
		)
	)
);
