<?php
//session_start();
$countdownSettings = $this->getAllSettings();
$countdownSettings = $countdownSettings['flatCountdown_config'];

$_SESSION = array();
require_once( $this->cfg['paths']['scripts_dir_path'] . '/simple-php-captcha/simple-php-captcha.php' );
$bg_path = $this->cfg['paths']['scripts_dir_path'] . '/simple-php-captcha/backgrounds/'; 

if ( isset( $countdownSettings['captcha_min_length'] ) && count( $countdownSettings['captcha_min_length'] ) > 0 ) {
	$min_length = $countdownSettings['captcha_min_length'];
} else {
	$min_length = 5; }
if ( isset( $countdownSettings['captcha_max_length'] ) && count( $countdownSettings['captcha_max_length'] ) > 0 ) {
	$max_length = $countdownSettings['captcha_max_length'];
} else {
	$max_length = 5; }
if ( isset( $countdownSettings['captcha_background'] ) && count( $countdownSettings['captcha_background'] ) > 0 ) {
	$backgrounds = array();
	if ( $countdownSettings['captcha_background'] == '45-degree-fabric' ) {
		$backgrounds[] = $bg_path . '45-degree-fabric.png';
	} elseif ( $countdownSettings['captcha_background'] == 'cloth-alike' ) {
		$backgrounds[] = $bg_path . 'cloth-alike.png';
	} elseif ( $countdownSettings['captcha_background'] == 'grey-sandbag' ) {
		$backgrounds[] = $bg_path . 'grey-sandbag.png';
	} elseif ( $countdownSettings['captcha_background'] == 'kinda-jean' ) {
		$backgrounds[] = $bg_path . 'kinda-jean.png';
	} elseif ( $countdownSettings['captcha_background'] == 'polyester-lite' ) {
		$backgrounds[] = $bg_path . 'polyester-lite.png';
	} elseif ( $countdownSettings['captcha_background'] == 'stitched-wool' ) {
		$backgrounds[] = $bg_path . 'stitched-wool.png';
	} elseif ( $countdownSettings['captcha_background'] == 'white-carbon' ) {
		$backgrounds[] = $bg_path . 'white-carbon.png';
	} elseif ( $countdownSettings['captcha_background'] == 'white-wave' ) {
		$backgrounds[] = $bg_path . 'white-wave.png';
	}
} else {
	$backgrounds = array( $bg_path . '45-degree-fabric.png' ); }
if ( isset( $countdownSettings['captcha_characters'] ) && count( $countdownSettings['captcha_characters'] ) > 0 ) {
	$characters = $countdownSettings['captcha_characters'];
} else {
	$characters = 'ABCDEFGHJKLMNPRSTUVWXYZabcdefghjkmnprstuvwxyz23456789'; }
if ( isset( $countdownSettings['captcha_min_font_size'] ) && count( $countdownSettings['captcha_min_font_size'] ) > 0 ) {
	$min_font_size = $countdownSettings['captcha_min_font_size'];
} else {
	$min_font_size = 28; }
if ( isset( $countdownSettings['captcha_max_font_size'] ) && count( $countdownSettings['captcha_max_font_size'] ) > 0 ) {
	$max_font_size = $countdownSettings['captcha_max_font_size'];
} else {
	$max_font_size = 28; }
if ( isset( $countdownSettings['captcha_font_color'] ) && count( $countdownSettings['captcha_font_color'] ) > 0 ) {
	$color = $countdownSettings['captcha_font_color'];
} else {
	$color = '#666'; }
if ( isset( $countdownSettings['captcha_angle_min'] ) && count( $countdownSettings['captcha_angle_min'] ) > 0 ) {
	$angle_min = $countdownSettings['captcha_angle_min'];
} else {
	$angle_min = 0; }
if ( isset( $countdownSettings['captcha_angle_max'] ) && count( $countdownSettings['captcha_angle_max'] ) > 0 ) {
	$angle_max = $countdownSettings['captcha_angle_max'];
} else {
	$angle_max = 10; }
if ( isset( $countdownSettings['captcha_shadow'] ) && count( $countdownSettings['captcha_shadow'] ) > 0 ) {
	$shadow = $countdownSettings['captcha_shadow'];
} else {
	$shadow = true; }
if ( isset( $countdownSettings['captcha_shadow_color'] ) && count( $countdownSettings['captcha_shadow_color'] ) > 0 ) {
	$shadow_color = $countdownSettings['captcha_shadow_color'];
} else {
	$shadow_color = '#fff'; }
if ( isset( $countdownSettings['captcha_shadow_offset_x'] ) && count( $countdownSettings['captcha_shadow_offset_x'] ) > 0 ) {
	$shadow_offset_x = $countdownSettings['captcha_shadow_offset_x'];
} else {
	$shadow_offset_x = -1; }
if ( isset( $countdownSettings['captcha_shadow_offset_y'] ) && count( $countdownSettings['captcha_shadow_offset_y'] ) > 0 ) {
	$shadow_offset_y = $countdownSettings['captcha_shadow_offset_y'];
} else {
	$shadow_offset_y = 1; }

	$captcha_params = array( 
						'min_length' => $min_length,
						'max_length' => $max_length,
						'backgrounds' => $backgrounds,
						'characters' => $characters,
						'min_font_size' => $min_font_size,
						'max_font_size' => $max_font_size,
						'color' => $color,
						'angle_min' => $angle_min,
						'angle_max' => $angle_max,
						'shadow' => $shadow,
						'shadow_color' => $shadow_color,
						'shadow_offset_x' => $shadow_offset_x,
						'shadow_offset_y' => $shadow_offset_y
					);

	$_SESSION['captcha'] = simple_php_captcha( $captcha_params );
	$css_dir = $this->cfg['paths']['lib_frontend_css_dir_url'];
	$js_dir = $this->cfg['paths']['lib_frontend_js_dir_url'];
	$assets_dir = $this->cfg['paths']['plugin_dir_url'] . 'assets';
	$frontend_dir = $this->cfg['paths']['lib_frontend_dir_url'];

	if ( isset( $countdownSettings['countdown_language'] ) && count( $countdownSettings['countdown_language'] ) > 0 ) {
		if ( $countdownSettings['countdown_language'] == 'es' ) {
		
		} elseif ( $countdownSettings['countdown_language'] == 'ar' ) {
			$t_subscribe_to_our_newsletter = 'الاشتراك في النشرة الإخبارية';
			$t_find_us = 'اعثر علينا';
			$t_name = 'اسم';
			$t_email = 'البريد الإلكتروني';
			$t_security_code = 'رمز الحماية';
			$t_send_notification = 'إرسال إعلام';
			$t_get_notification = 'يرجى إعلامي';
		} elseif ( $countdownSettings['countdown_language'] == 'da' ) {
			$t_subscribe_to_our_newsletter = 'Abonnere på vores nyhedsbrev';
			$t_find_us = 'Find os';
			$t_name = 'navn';
			$t_email = 'E-mail';
			$t_security_code = 'Sikkerhedskode';
			$t_send_notification = 'Send meddelelse';
			$t_get_notification = 'Få meddelelse';
		} elseif ( $countdownSettings['countdown_language'] == 'de' ) {
			$t_subscribe_to_our_newsletter = 'Abonnieren Sie unseren Newsletter';
			$t_find_us = 'finde uns';
			$t_name = 'Name';
			$t_email = 'E-Mail';
			$t_security_code = 'Sicherheitscode';
			$t_send_notification = 'Mitteilung senden';
			$t_get_notification = 'Holen Benachrichtigung';
		} elseif ( $countdownSettings['countdown_language'] == 'es' ) {
			$t_subscribe_to_our_newsletter = 'Suscríbete a nuestro boletín';
			$t_find_us = 'Encuéntranos';
			$t_name = 'Nombre';
			$t_email = 'Correo Electrónico';
			$t_security_code = 'Código De Seguridad';
			$t_send_notification = 'Enviar notificación';
			$t_get_notification = 'Obtener la notificación';
		} elseif ( $countdownSettings['countdown_language'] == 'fi' ) {
			$t_subscribe_to_our_newsletter = 'Tilaa uutiskirje';
			$t_find_us = 'Löydä meidät';
			$t_name = 'Nimi';
			$t_email = 'E-mail';
			$t_security_code = 'Security Code';
			$t_send_notification = 'Tiedoksi';
			$t_get_notification = 'Get ilmoitus';
		} elseif ( $countdownSettings['countdown_language'] == 'fr' ) {
			$t_subscribe_to_our_newsletter = 'Abonnez-vous à notre newsletter';
			$t_find_us = 'Trouve nous';
			$t_name = 'Nom';
			$t_email = 'Email';
			$t_security_code = 'Code De Sécurité';
			$t_send_notification = 'Envoyer une notification';
			$t_get_notification = 'Recevoir une notification';
		} elseif ( $countdownSettings['countdown_language'] == 'lv' ) {
			$t_subscribe_to_our_newsletter = 'Abonēt mūsu biļetenu';
			$t_find_us = 'Meklējiet mūs';
			$t_name = 'Nosaukums';
			$t_email = 'E-pasts';
			$t_security_code = 'Drošības kods';
			$t_send_notification = 'Nosūtīt Paziņojums';
			$t_get_notification = 'Saņemt paziņojumu';
		} elseif ( $countdownSettings['countdown_language'] == 'nl' ) {
			$t_subscribe_to_our_newsletter = 'Abonneer u op onze nieuwsbrief';
			$t_find_us = 'vind ons';
			$t_name = 'naam';
			$t_email = 'E-mail';
			$t_security_code = 'beveiligingscode';
			$t_send_notification = 'Stuur Notification';
			$t_get_notification = 'Krijg kennisgeving';
		} elseif ( $countdownSettings['countdown_language'] == 'no' ) {
			$t_subscribe_to_our_newsletter = 'Abonner på vårt nyhetsbrev';
			$t_find_us = 'Finn oss';
			$t_name = 'Navn';
			$t_email = 'E-post';
			$t_security_code = 'Sikkerhetskode';
			$t_send_notification = 'Send varsel';
			$t_get_notification = 'Få varsel';
		} elseif ( $countdownSettings['countdown_language'] == 'pt' ) {
			$t_subscribe_to_our_newsletter = 'Assine a nossa newsletter';
			$t_find_us = 'Encontre-nos';
			$t_name = 'nome';
			$t_email = 'O email';
			$t_security_code = 'Código de Segurança';
			$t_send_notification = 'Enviar notificação';
			$t_get_notification = 'Comece a notificação';
		} elseif ( $countdownSettings['countdown_language'] == 'ru' ) {
			$t_subscribe_to_our_newsletter = 'Подпишитесь на нашу рассылку';
			$t_find_us = 'Найди нас';
			$t_name = 'имя';
			$t_email = 'Электронная почта';
			$t_security_code = 'Код Безопасности';
			$t_send_notification = 'Отправить уведомление';
			$t_get_notification = 'Получите оповещение';
		} elseif ( $countdownSettings['countdown_language'] == 'sv' ) {
			$t_subscribe_to_our_newsletter = 'Prenumerera på vårt nyhetsbrev';
			$t_find_us = 'Hitta hit';
			$t_name = 'Namn';
			$t_email = 'E-post';
			$t_security_code = 'Säkerhetskod';
			$t_send_notification = 'Skicka Anmälan';
			$t_get_notification = 'Få anmälan';
		} elseif ( $countdownSettings['countdown_language'] == 'zh' ) {
			$t_subscribe_to_our_newsletter = '订阅我们的通讯';
			$t_find_us = '找到我们';
			$t_name = '名字';
			$t_email = '电子邮件';
			$t_security_code = '安全码';
			$t_send_notification = '发送通知';
			$t_get_notification = '获取通知';
		} elseif ( $countdownSettings['countdown_language'] == 'en' ) {
			$t_subscribe_to_our_newsletter = 'Subscribe to our newsletter';
			$t_find_us = 'Find us';
			$t_name = 'Name';
			$t_email = 'E-mail';
			$t_security_code = 'Security Code';
			$t_send_notification = 'Send Notification';
			$t_get_notification = 'Get notification';
		} elseif ( $countdownSettings['countdown_language'] == 'other' ) {
			$t_subscribe_to_our_newsletter = $countdownSettings['t_subscribe_to_newsletter'];
			$t_find_us = $countdownSettings['t_find_us'];
			$t_name = $countdownSettings['t_name'];
			$t_email = $countdownSettings['t_email'];
			$t_security_code = $countdownSettings['t_security_code'];
			$t_send_notification = $countdownSettings['t_send_notification'];
			$t_get_notification = $countdownSettings['t_get_notification'];
		}       
	}

	?>
<!DOCTYPE html>
<!--[if lt IE 7]>      <html class="no-js lt-ie9 lt-ie8 lt-ie7"> <![endif]-->
<!--[if IE 7]>         <html class="no-js lt-ie9 lt-ie8"> <![endif]-->
<!--[if IE 8]>         <html class="no-js lt-ie9"> <![endif]-->
<!--[if gt IE 8]><!-->
<html class="no-js">
	<!--<![endif]-->
	<head>
		<meta charset="utf-8">
		<!--[if IE]><meta http-equiv='X-UA-Compatible' content='IE=edge,chrome=1'><![endif]-->
		<?php
		if ( isset($countdownSettings['meta_title']) && $countdownSettings['meta_title'] !=''  ) {
			$meta_title = $countdownSettings['meta_title'];
		} else {
			$meta_title = get_bloginfo('name');
		}
			
		if ( isset($countdownSettings['meta_description']) && $countdownSettings['meta_description'] !=''  ) {
			$meta_description = $countdownSettings['meta_description'];
		} else {
			$meta_description = get_bloginfo('description');
		}
			
		if ( isset($countdownSettings['meta_keywords']) && $countdownSettings['meta_keywords'] !=''  ) {
			$meta_keywords = $countdownSettings['meta_keywords'];
		} else {
			$meta_keywords = get_bloginfo('description');
			$meta_keywords = explode(' ', $meta_keywords );
			$meta_keywords = implode(',', $meta_keywords); 
		}
		?>
		<title><?php echo $meta_title; ?></title>
		<meta name="description" content="<?php echo $meta_description; ?>">
		<meta name="keywords" content="<?php echo $meta_keywords; ?>">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<!-- GOOGLE FONTS -->
		<?php if ( isset( $countdownSettings['countdown_general_first_font_family'] ) && count( $countdownSettings['countdown_general_first_font_family'] ) > 0  ) { ?>
			<link href='//fonts.googleapis.com/css?family=<?php echo $countdownSettings['countdown_general_first_font_family']; ?>' rel='stylesheet' type='text/css'>
			<style type="text/css">
				#flatCountdown-maintitle h1, #flatCountdown-back h3, #flatCountdown-subscribe, #flatCountdown-social-container #find-us { font-family: '<?php echo $countdownSettings['countdown_general_first_font_family']; ?>' !important; }
			</style>
		<?php } ?>
		
		<?php if ( isset( $countdownSettings['countdown_general_second_font_family'] ) && count( $countdownSettings['countdown_general_second_font_family'] ) > 0  ) { ?>
			<link href='//fonts.googleapis.com/css?family=<?php echo $countdownSettings['countdown_general_second_font_family']; ?>' rel='stylesheet' type='text/css'>
			<style type="text/css">
				#flatCountdown-description p, #flatCountdown-contact-popup input, #flatCountdown-contact-popup form { font-family: '<?php echo $countdownSettings['countdown_general_second_font_family']; ?>' !important; }
			</style>
		<?php } ?>
		
		<?php if ( isset( $countdownSettings['countdown_element_font_family'] ) && count( $countdownSettings['countdown_element_font_family'] ) > 0  ) { ?>
			<link href='//fonts.googleapis.com/css?family=<?php echo $countdownSettings['countdown_element_font_family']; ?>' rel='stylesheet' type='text/css'>
			<style type="text/css">
				.flip-clock-wrapper ul li a div div.inn, .flip-clock-divider .flip-clock-label { font-family: '<?php echo $countdownSettings['countdown_element_font_family']; ?>' !important; }
			</style>
		<?php } ?>
		
		<style type="text/css">
		<?php
			$counter_elm_fs = ( isset( $countdownSettings['countdown_element_font_size'] ) && count( $countdownSettings['countdown_element_font_size'] ) > 0 ) ? $countdownSettings['countdown_element_font_size'] : '82px';
			$counter_elm_lh = ( isset( $countdownSettings['countdown_element_line_height'] ) && count( $countdownSettings['countdown_element_line_height'] ) > 0 ) ? $countdownSettings['countdown_element_line_height'] : '142px';
			$counter_elm_radius = ( isset( $countdownSettings['countdown_element_border_radius'] ) && count( $countdownSettings['countdown_element_border_radius'] ) > 0 ) ? $countdownSettings['countdown_element_border_radius'] : '6px';
			$counter_box_opacity = ( isset( $countdownSettings['countdown_box_opacity'] ) && count( $countdownSettings['countdown_box_opacity'] ) > 0 ) ? $countdownSettings['countdown_box_opacity'] : '0.9';
			$countdown_general_font_size = ( isset( $countdownSettings['countdown_general_font_size'] ) && count( $countdownSettings['countdown_general_font_size'] ) > 0 ) ? $countdownSettings['countdown_general_font_size'] : '14px';
		?>
			@media only screen and (min-width: 1201px) {
				.flip-clock-wrapper ul li a div div.inn {
					font-size: <?php echo $counter_elm_fs; ?> !important;
					line-height: <?php echo $counter_elm_lh; ?> !important;
				}
				#flatCountdown-body {
					opacity: <?php echo $counter_box_opacity; ?> !important;
				}
				#flatCountdown-description p {
					font-size: <?php echo $countdown_general_font_size; ?> !important;
				}
			}
			.flip-clock-wrapper ul, .flip-clock-wrapper ul li a div div.inn {
				border-radius: <?php echo $counter_elm_radius; ?> !important;
			}
		</style>
		
		<link href='//fonts.googleapis.com/css?family=Open+Sans:400,300,600,700' rel='stylesheet' type='text/css'>
		<link href='//fonts.googleapis.com/css?family=Cabin:400,400italic,500,500italic,600,600italic,700,700italic' rel='stylesheet' type='text/css'>
		<!-- CSS FILES -->
		<link rel="icon" type="image/x-icon" href="favicon.ico">
		
		<?php /*<link rel="stylesheet" type="text/css" href="//netdna.bootstrapcdn.com/bootstrap/3.1.1/css/bootstrap.min.css">
		<link rel="stylesheet" type="text/css" href="//netdna.bootstrapcdn.com/bootstrap/3.1.1/css/bootstrap-theme.min.css">*/ ?>
		<link rel="stylesheet" type="text/css" href="<?php echo $assets_dir; ?>/bootstrap/4.6.0/bootstrap.min.css">
		<link rel="stylesheet" type="text/css" href="<?php echo $css_dir; ?>/reset.css">
		<link rel="stylesheet" type="text/css" href="<?php echo $css_dir; ?>/flipclock.css">
		<link rel="stylesheet" type="text/css" href="<?php echo $css_dir; ?>/magnific-popup.css">
		<link rel="stylesheet" type="text/css" href="<?php echo $css_dir; ?>/demo_purpose/colorpicker.css">
		<link rel="stylesheet" type="text/css" href="<?php echo $css_dir; ?>/demo_purpose/font-awesome.min.css">
		<link rel="stylesheet" href="<?php echo $frontend_dir; ?>/style.css">
	</head>

	<body>
		<?php if ( isset( $countdownSettings['enable_style_customizer'] ) && $countdownSettings['enable_style_customizer'] == 'yes'  ) { ?>
		<div id="color-changer">
			<a class="fa fa-angle-double-right close-but"></a>
			<h2><?php esc_html_e('Counter Styles', 'wordpress-flat-countdown'); ?></h2>
			<ul>
				<li>
					<p><?php esc_html_e('General Styles', 'wordpress-flat-countdown'); ?></p>
					<div id="colorselector1">
						<div></div>
					</div>
				</li>
				<li>
					<p><?php esc_html_e('Box Color', 'wordpress-flat-countdown'); ?></p>
					<div id="colorselector2">
						<div></div>
					</div>
				</li>
			</ul>
		</div>
		<?php } ?>
		
		<?php
		if ( $countdownSettings['countdown_background_type'] == 'image' ) {
			if ( isset( $countdownSettings['countdown_background_fit'] ) && $countdownSettings['countdown_background_fit'] != '' ) {
				if ( $countdownSettings['countdown_background_fit'] == 'cover' ) {
					$bkg_pos = 'background-size: cover;';
				} elseif ( $countdownSettings['countdown_background_fit'] == 'contain' ) {
					$bkg_pos = 'background-size: contain;';
				} elseif ( $countdownSettings['countdown_background_fit'] == 'fitV' ) { 
					$bkg_pos = 'background-repeat: repeat-y;';
				} elseif ( $countdownSettings['countdown_background_fit'] == 'fitH' ) {
					$bkg_pos = 'background-repeat: repeat-x;';
				} elseif ( $countdownSettings['countdown_background_fit'] == 'center' ) {
					$bkg_pos = 'background-position: center; background-repeat: no-repeat;';
				} elseif ( $countdownSettings['countdown_background_fit'] == 'repeat' ) {
					$bkg_pos = 'background-repeat: repeat;';
				} else {
					$bkg_pos = '';
				}
			}
				 
			$bkg_img = wp_get_attachment_image_src( $countdownSettings['countdown_background_image'], 'full' );
			$bkg_img = $bkg_img[0];
			$countdownbg = 'style="background: url(' . $bkg_img . '); ' . $bkg_pos . '"';
		} elseif ( $countdownSettings['countdown_background_type'] == 'color' ) {
			$countdownbg = 'style="background: ' . $countdownSettings['countdown_background_color'] . ';"';
		} else {
			$countdownbg = $frontend_dir . '/images/main-bg.jpg';
		}
		?>
		<!-- #main-container -->
		<div id="flatCountdown-main-container" <?php echo $countdownbg; ?>>
			<!-- #flatCountdown-body -->
			<div id="flatCountdown-body" class="container">
				<div class="row">
					<?php if ( isset( $countdownSettings['countdown_logo'] ) && $countdownSettings['countdown_logo'] != '' ) { ?>
						<div id="flatCountdown-logo" class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
							<p style="text-align: center;">
								<?php $logo_img = wp_get_attachment_image_src( $countdownSettings['countdown_logo'], 'full' ); ?>
								<img src="<?php echo $logo_img[0]; ?>" />
							</p>
						</div>
					<?php } ?>
					<div id="flatCountdown-maintitle" class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
						<h1><?php echo $countdownSettings['countdown_title']; ?></h1>
					</div>
					<div class="clearfix"></div>
					<div id="flatCountdown-description" class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
						<?php echo $countdownSettings['countdown_description']; ?> 
					</div>
					<div class="clearfix"></div>
					<div id="flatCountdown-counter-body" class="col-lg-12 col-md-12 col-sm-12 col-xs-12">	
						<div class="flip-counter"></div>
					</div>
					<div class="clearfix"></div>
					<div id="flatCountdown-back" class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
						<h3><?php echo $countdownSettings['countdown_subtitle']; ?></h3>
					</div>
					<div class="clearfix"></div>
					<?php if ( isset( $countdownSettings['enable_popup'] ) && count( $countdownSettings['enable_popup'] ) > 0 && $countdownSettings['enable_popup'] == 'yes' ) { ?>
						<a id="flatCountdown-subscribe" href="#flatCountdown-contact-popup" onclick="return false;"><?php echo $t_subscribe_to_our_newsletter; ?></a>
					<?php } ?>
					
					<?php 
					if ( isset( $countdownSettings['social_media_icon_set'] ) && count( $countdownSettings['social_media_icon_set'] ) > 0 ) {
						if ( $countdownSettings['social_media_icon_set'] == 'theme_2' ) {
							$fb_icon = '&#62220;';
							$tw_icon = '&#62229;';
							$behance_icon = '&#62286;';
							$dribble_icon = '&#62235;';
							$linkedin_icon = '&#62232;';
						} else {
							$fb_icon = '&#62221;';
							$tw_icon = '&#62218;';
							$behance_icon = '&#62286;';
							$dribble_icon = '&#62236;';
							$linkedin_icon = '&#62233;';
						}
						  
					} 
					?>
					
					<?php if ( isset( $countdownSettings['enable_social_media'] ) && count( $countdownSettings['enable_social_media'] ) > 0 && $countdownSettings['enable_social_media'] == 'yes' ) { ?>
						<div id="flatCountdown-social-container">
							<p id="find-us"><?php echo $t_find_us; ?></p>
							<ul id="flatCountdown-social-icons">
								<?php if ( isset( $countdownSettings['facebook_url'] ) && $countdownSettings['facebook_url'] != '' ) { ?>
								<li>
									<a href="<?php echo esc_url($countdownSettings['facebook_url']); ?>">
										<?php echo $fb_icon; ?>
									</a>
								</li>
								<?php } ?>
								<?php if ( isset( $countdownSettings['twitter_url'] ) && $countdownSettings['twitter_url'] != '' ) { ?>
								<li>
									<a href="<?php echo esc_url($countdownSettings['twitter_url']); ?>">
										<?php echo $tw_icon; ?>
									</a>
								</li>
								<?php } ?>
								<?php if ( isset( $countdownSettings['behance_url'] ) && $countdownSettings['behance_url'] != '' ) { ?>
								<li>
									<a href="<?php echo esc_url($countdownSettings['behance_url']); ?>">
										<?php echo $behance_icon; ?>
									</a>
								</li>
								<?php } ?>
								<?php if ( isset( $countdownSettings['dribble_url'] ) && $countdownSettings['dribble_url'] != '' ) { ?>
								<li>
									<a href="<?php echo esc_url($countdownSettings['dribble_url']); ?>">
										<?php echo $dribble_icon; ?>
									</a>
								</li>
								<?php } ?>
								<?php if ( isset( $countdownSettings['linkedin_url'] ) && $countdownSettings['linkedin_url'] != '' ) { ?>
								<li>
									<a class="last" href="<?php echo esc_url($countdownSettings['linkedin_url']); ?>">
										<?php echo $linkedin_icon; ?>
									</a>
								</li>
								<?php } ?>
							</ul>
						</div>
					<?php } ?>
					
				</div>
			</div><!-- END #flatCountdown-body -->
			<?php if ( isset( $countdownSettings['enable_popup'] ) && count( $countdownSettings['enable_popup'] ) > 0 && $countdownSettings['enable_popup'] == 'yes' ) { ?>
				<div id="flatCountdown-contact-popup" class="mfp-with-anim mfp-hide">
					<form id="flatCountdown-contact-form" action="" method="post">
						<input type="text" name="name" placeholder="<?php echo $t_name; ?>" />
						<input type="email" name="email" placeholder="<?php echo $t_email; ?>" />
						<input type="hidden" name="cptch" value="<?php echo $_SESSION['captcha']['code']; ?>" />
						<?php
							echo '<p style="float: left; margin-bottom: 15px; text-align: center; width: 100%;">
				        			<img src="' . $_SESSION['captcha']['image_src'] . '" alt="CAPTCHA code">
				        		</p>';
						?>
						<input type="text" name="security_code" placeholder="<?php echo $t_security_code; ?>" />
						<input type="checkbox" name="send_notification" /> <?php echo $t_send_notification; ?>
						<input type="submit" id="subscribe_submit" value="<?php echo $t_get_notification; ?>" />
						<p id="status_box"></p>
					</form>
				</div>
			<?php } ?>
		</div>
		<!-- END #main-container -->
		<!-- JS FILES -->
		<?php /*<script type="text/javascript" src="http://code.jquery.com/jquery-1.10.1.min.js"></script>*/ ?>
		<script type="text/javascript" src="<?php echo $assets_dir; ?>/jquery/jquery-3.6.0.min.js" type="text/javascript"></script>
		<?php /*<script type="text/javascript" src="//code.jquery.com/ui/1.10.4/jquery-ui.js"></script>*/ ?>
		<script type="text/javascript" src="<?php echo $assets_dir; ?>/jquery-ui/jquery-ui-1.12.1.min.js" type="text/javascript"></script>
		<?php /*<script type="text/javascript" src="//netdna.bootstrapcdn.com/bootstrap/3.1.1/js/bootstrap.min.js" type="text/javascript"></script>*/ ?>
		<script type="text/javascript" src="<?php echo $assets_dir; ?>/bootstrap/4.6.0/bootstrap.min.js" type="text/javascript"></script>
		<script type="text/javascript" src="<?php echo $js_dir; ?>/magnific-popup.js"></script>
		<script type="text/javascript" src="<?php echo $js_dir; ?>/demo_purpose/colorpicker.js"></script>
		<script type="text/javascript" src="<?php echo $js_dir; ?>/flipclock.js"></script>		
		<script type="text/javascript">
			var clock;

			$(document).ready(function() {
				//FLIP CLOCK INITIALIZATION
				// Grab the current date
				var currentDate = new Date();
				console.log( currentDate ); 
				console.log( currentDate.getFullYear() ); 
				// Set some date in the future. In this case, it's always Jan 1
				<?php 
					$year = $countdownSettings['countdown_year'];
					$month = ( (int) $countdownSettings['countdown_month'] - 1 );
					$day = $countdownSettings['countdown_day'];
					$hour = $countdownSettings['countdown_hour'];
					$minute = $countdownSettings['countdown_minute'];
					$second = $countdownSettings['countdown_second'];
				?>
				var futureDate  = new Date(<?php echo $year . ',' . $month . ',' . $day . ',' . $hour . ',' . $minute . ',' . $second; ?>);
				
				//new Date(2015, 0, 1, 2, 3, 4, 567) // 1 Jan 2015, 02:03:04.567 in local timezone

				// Calculate the difference in seconds between the future and current date
				var diff = futureDate.getTime() / 1000 - currentDate.getTime() / 1000;
				
				// Instantiate a coutdown FlipClock
				<?php 
				if ( $countdownSettings['countdown_format'] == 'general_counter' ) { 
					$gcounter_start_value = $countdownSettings['general_counter_start_value'];
					$gcounter_stop_value = $countdownSettings['general_counter_stop_value'];
					$gcounter_speed = $countdownSettings['general_counter_speed'];
					$gcounter_direction = $countdownSettings['general_counter_direction'];
					?>
					startval = <?php echo $gcounter_start_value; ?>;
					stopval = <?php echo $gcounter_stop_value; ?>;
					clock = $('.flip-counter').FlipClock( startval, {
						clockFace: 'Counter',
					});
				
					var timeoutvar = setInterval(function() { 
							if( clock.time.factory.time.getTimeSeconds() == (stopval-1) ) {
								clock.stop();
								clearInterval(timeoutvar);
							} 
							clock.<?php echo $gcounter_direction; ?>();
						}, <?php echo $gcounter_speed; ?>);
					
					$('#flatCountdown-back').css('margin-top', '20px');
				<?php } elseif ( $countdownSettings['countdown_format'] == '12hr_clock' ) { ?>
					clock = $('.flip-counter').FlipClock({
						clockFace: 'TwelveHourClock'
					});
					$('#flatCountdown-back').css('margin-top', '20px');
				<?php } elseif ( $countdownSettings['countdown_format'] == '24hr_clock' ) { ?>
					clock = $('.flip-counter').FlipClock({
						clockFace: 'TwentyFourHourClock'
					});
					$('#flatCountdown-back').css('margin-top', '20px');
					<?php 
				} else {
					if ( isset( $countdownSettings['countdown_language'] ) && count( $countdownSettings['countdown_language'] ) > 0 ) { 
						$countdown_lang = $countdownSettings['countdown_language'];
					} else {
						$countdown_lang = 'en'; }
					?>
					clock = $('.flip-counter').FlipClock(diff, {
						clockFace: 'DailyCounter',
						countdown: true,
						language: '<?php echo $countdown_lang; ?>',
					});
					<?php if ( isset( $countdownSettings['countdown_language'] ) && count( $countdownSettings['countdown_language'] ) > 0 && $countdownSettings['countdown_language'] == 'other' ) { ?>
						<?php if ( isset( $countdownSettings['t_days'] ) && count( $countdownSettings['t_days'] ) > 0 ) { ?>
							$('.flip-clock-divider.days .flip-clock-label').text('<?php echo $countdownSettings['t_days']; ?>');
						<?php } ?>
						<?php if ( isset( $countdownSettings['t_hours'] ) && count( $countdownSettings['t_hours'] ) > 0 ) { ?>
							$('.flip-clock-divider.hours .flip-clock-label').text('<?php echo $countdownSettings['t_hours']; ?>');
						<?php } ?>
						<?php if ( isset( $countdownSettings['t_minutes'] ) && count( $countdownSettings['t_minutes'] ) > 0 ) { ?>
							$('.flip-clock-divider.minutes .flip-clock-label').text('<?php echo $countdownSettings['t_minutes']; ?>');
						<?php } ?>
						<?php if ( isset( $countdownSettings['t_seconds'] ) && count( $countdownSettings['t_seconds'] ) > 0 ) { ?>
							$('.flip-clock-divider.seconds .flip-clock-label').text('<?php echo $countdownSettings['t_seconds']; ?>');
						<?php } ?>
					<?php } ?>
				<?php } ?>
				
				<?php if ( isset( $countdownSettings['enable_popup'] ) && count( $countdownSettings['enable_popup'] ) > 0 && $countdownSettings['enable_popup'] == 'yes' ) { ?>
				//MAGNIFIC POPUP INITIALIZATION
				$('#flatCountdown-subscribe').magnificPopup({
					type:'inline',
					removalDelay: <?php echo $countdownSettings['popup_removal_delay']; ?>,
					<?php if ( isset( $countdownSettings['popup_open_effect'] ) && $countdownSettings['popup_open_effect'] != '' ) { ?>
						<?php if ( $countdownSettings['popup_open_effect'] == 'fade' ) { ?>
							mainClass: 'mfp-fade',
						<?php } elseif ( $countdownSettings['popup_open_effect'] == 'zoom' ) { ?>
							mainClass: 'mfp-zoom-in',
						<?php } elseif ( $countdownSettings['popup_open_effect'] == 'newspaper' ) { ?>
							mainClass: 'mfp-newspaper',
						<?php } elseif ( $countdownSettings['popup_open_effect'] == 'horizontal_move' ) { ?>
							mainClass: 'mfp-move-horizontal',
						<?php } elseif ( $countdownSettings['popup_open_effect'] == 'move_from_top' ) { ?>
							mainClass: 'mfp-move-from-top',
						<?php } elseif ( $countdownSettings['popup_open_effect'] == '3d_unfold' ) { ?>
							mainClass: 'mfp-3d-unfold',
						<?php } elseif ( $countdownSettings['popup_open_effect'] == 'zoom_out' ) { ?>
							mainClass: 'mfp-zoom-out',
						<?php } else { ?>
							mainClass: 'mfp-fade',
						<?php } ?>
						
					<?php } ?>
					
					midClick: true // Allow opening popup on middle mouse click. Always set it to true if you don't provide alternative source in href.
				});
				<?php } ?>
				
				//COLORPICKER (demo purpose only)
				//derken/lighten the color of the middle border of the timer
				function LightenDarkenColor(col, amt) {
					var usePound = false;
				  
					if (col[0] == "#") {
						col = col.slice(1);
						usePound = true;
					}
				 
					var num = parseInt(col,16);
				 
					var r = (num >> 16) + amt;
				 
					if (r > 255) r = 255;
					else if  (r < 0) r = 0;
				 
					var b = ((num >> 8) & 0x00FF) + amt;
				 
					if (b > 255) b = 255;
					else if  (b < 0) b = 0;
				 
					var g = (num & 0x0000FF) + amt;
				 
					if (g > 255) g = 255;
					else if (g < 0) g = 0;
				 
					return (usePound?"#":"") + (g | (b << 8) | (r << 16)).toString(16);
				  
				}
				// Lighten
				//var NewColor = LightenDarkenColor("#F06D06", 20); 
				
				// Darken
				//var NewColor = LightenDarkenColor("#F06D06", -20);
				
				<?php 
				if ( isset( $countdownSettings['countdown_general_style'] ) && $countdownSettings['countdown_general_style'] != '' ) {
					$general_style = $countdownSettings['countdown_general_style'];	 
					?>
					var darkenMiddleBorder = LightenDarkenColor('<?php echo $general_style; ?>', -20);
					$('#colorselector1 div').css('backgroundColor', '<?php echo $general_style; ?>');
					$('#flatCountdown-maintitle h1 span').css('color', '<?php echo $general_style; ?>');
					$('div.inn').css('background', '<?php echo $general_style; ?>');
					$('#flatCountdown-subscribe').css('color', '<?php echo $general_style; ?>');
					$('#find-us').css('color', '<?php echo $general_style; ?>');
					$('#flatCountdown-social-container li a').css('color', '<?php echo $general_style; ?>');
					$('#flatCountdown-contact-popup input[type="text"]').css('color', '<?php echo $general_style; ?>');
					$('#flatCountdown-contact-popup input[type="email"]').css('color', '<?php echo $general_style; ?>');
					$('#flatCountdown-contact-popup input[type="submit"]').css('background', '<?php echo $general_style; ?>');
					$('#flatCountdown-contact-popup input[type="submit"]').css('border-color', '<?php echo $general_style; ?>');
					   $("head").append($('<style>.flip-clock-wrapper ul li a div.up:after { background-color: ' + darkenMiddleBorder+ '!important; background-image: url(); } .flip-clock-wrapper ul li a div div.inn { background-color: <?php echo $general_style; ?> !important }</style>'));
				<?php } ?>
				
				<?php 
				if ( isset( $countdownSettings['countdown_box_style'] ) && $countdownSettings['countdown_box_style'] != '' ) {
					$countdown_box_style = $countdownSettings['countdown_box_style'];	 
					?>
					$('#colorselector2 div').css('backgroundColor', '<?php echo $countdown_box_style; ?>');
					$('#flatCountdown-body').css('backgroundColor', '<?php echo $countdown_box_style; ?>');
				<?php } ?>
				
				$('#colorselector1').ColorPicker({
					color: '#EFEFEF',
					onShow: function (colpkr) {
						$(colpkr).fadeIn(500);
						return false;
					},
					onHide: function (colpkr) {
						$(colpkr).fadeOut(500);
						return false;
					},
					onChange: function (hsb, hex, rgb) {
						var darkenMiddleBorder = LightenDarkenColor('#'+ hex, -20);
						$('#colorselector1 div').css('backgroundColor', '#' + hex);
						$('#flatCountdown-maintitle h1 span').css('color', '#' + hex);
						$('div.inn').css('background', '#' + hex);
						$('#flatCountdown-subscribe').css('color', '#' + hex);
						$('#find-us').css('color', '#' + hex);
						$('#flatCountdown-social-container li a').css('color', '#' + hex);
						$('#flatCountdown-contact-popup input[type="text"]').css('color', '#' + hex);
						$('#flatCountdown-contact-popup input[type="email"]').css('color', '#' + hex);
						$('#flatCountdown-contact-popup input[type="submit"]').css('background', '#' + hex);
						$('#flatCountdown-contact-popup input[type="submit"]').css('border-color', '#' + hex);
						   $("head").append($('<style>.flip-clock-wrapper ul li a div.up:after { background-color: ' + darkenMiddleBorder+ ' !important; background-image: url();} .flip-clock-wrapper ul li a div div.inn { background-color: #' + hex + '!important }</style>'));
					}
				});
				
				$('#colorselector2').ColorPicker({
					color: '#EFEFEF',
					onShow: function (colpkr) {
						$(colpkr).fadeIn(500);
						return false;
					},
					onHide: function (colpkr) {
						$(colpkr).fadeOut(500);
						return false;
					},
					onChange: function (hsb, hex, rgb) {
						$('#colorselector2 div').css('backgroundColor', '#' + hex);
						$('#flatCountdown-body').css('backgroundColor', '#' + hex);
					}
				});
				
				$('.close-but').click(function() {
					var $marginLeftThis = $(this).parent();
					$marginLeftThis.animate({
					  marginLeft: parseInt($marginLeftThis.css('marginLeft'),10) == 0 ? $marginLeftThis.outerWidth()-40 : 0
					});
					if(parseInt($marginLeftThis.css('marginLeft'),10) == 0) {
						   $('.close-but').removeClass('fa-angle-double-right');
						   $('.close-but').addClass('fa-angle-double-left');
					 } else {
						 $('.close-but').addClass('fa-angle-double-right');
						   $('.close-but').removeClass('fa-angle-double-left');
					 }
				  });
				  
				$('#flatCountdown-contact-form').submit(function(e){
					e.preventDefault();
					var theForm = $(this),
						statusBox = theForm.find('p#status_box'),
						ajaxurl = "<?php echo admin_url('admin-ajax.php'); ?>"; 
					if (theForm.length > 0) {
						var data = {
							'action': 'flatCountdownSubscribe',
							'formFields': theForm.serialize()
						};
						jQuery.post(ajaxurl, data, function (response) {
							if (response.status == 'ok') {
								  statusBox.addClass('flatCountdownSubscribe-success').html(response.html);
								  setTimeout(function(){ $('#flatCountdown-subscribe').magnificPopup('close'); }, 3000);
								  location.reload();
							} else {
								statusBox.addClass('flatCountdownSubscribe-error').html(response.html);
							}
						},
						'json').always(statusBox.text('Sending...'));
					}
				});


			});
			
		</script>	
	</body>
</html>
<?php die(); ?>
